MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ClientMessage Class Reference

A client-to-client message. More...

`#include <ClientMessage.hxx>`

## Public Member Functions
template<typename T , typename U >
| ClientMessage (T &&_channel, U &&_message)
const char * | GetChannel () const
const char * | GetMessage () const

## Detailed Description

A client-to-client message.

Definition at line 36 of file ClientMessage.hxx.

## Constructor & Destructor Documentation

template<typename T , typename U >

ClientMessage::ClientMessage | ( | T && | _channel,
|  | U && | _message
| ) |  |
| inline

Definition at line 41 of file ClientMessage.hxx.

## Member Function Documentation

const char* ClientMessage::GetChannel | ( |  | ) | const
| inline

Definition at line 45 of file ClientMessage.hxx.

const char* ClientMessage::GetMessage | ( |  | ) | const
| inline

Definition at line 49 of file ClientMessage.hxx.

The documentation for this class was generated from the following file:

- client/ClientMessage.hxx